<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.353
Name: Periodo di Copertura/prossimo  appuntamento (VACC)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713">
   <title>Periodo di Copertura/prossimo  appuntamento (VACC)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]
Item: (Periodo di Copertura/prossimo  appuntamento (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]"
         id="d44e2459-false-d23252e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]) &gt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]) &lt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]
Item: (Periodo di Copertura/prossimo  appuntamento (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]"
         id="d44e2477-false-d23269e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Periodo di Copertura/prossimo  appuntamento (VACC)): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@moodCode) = ('EVN')">(Periodo di Copertura/prossimo  appuntamento (VACC)): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']) &gt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']) &lt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]) &gt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]) &lt;= 1">(Periodo di Copertura/prossimo  appuntamento (VACC)): element hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']
Item: (Periodo di Copertura/prossimo  appuntamento (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']"
         id="d44e2489-false-d23320e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.4.4')">(Periodo di Copertura/prossimo  appuntamento (VACC)): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.4.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:code[not(@nullFlavor)]
Item: (Periodo di Copertura/prossimo  appuntamento (VACC))
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (Periodo di Copertura/prossimo  appuntamento (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d44e2506-false-d23342e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Periodo di Copertura/prossimo  appuntamento (VACC)): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@code) = ('completed')">(Periodo di Copertura/prossimo  appuntamento (VACC)): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]
Item: (Periodo di Copertura/prossimo  appuntamento (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]"
         id="d44e2513-false-d23360e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="@xsi:type">(Periodo di Copertura/prossimo  appuntamento (VACC)): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="not(@xsi:type) or (string-length(@xsi:type) &gt; 0 and not(matches(@xsi:type,'\s')))">(Periodo di Copertura/prossimo  appuntamento (VACC)): Attribute @xsi:type SHALL be of data type 'cs'  - '<value-of select="@xsi:type"/>'</assert>
   </rule>
</pattern>
